CREATE TABLE PORCIONAMENTO (
	NRPORCIONAMENTO			NUMBER 														NOT NULL,
    CDPORCIONAMENTO 		VARCHAR2(5) 												NOT NULL,
    NMPORCIONAMENTO 		VARCHAR2(50)												NOT NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_PORCIONAMENTO CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_PORCIONAMENTO PRIMARY KEY (NRPORCIONAMENTO),
	CONSTRAINT UN_PORCIONAMENTO UNIQUE (CDPORCIONAMENTO)
)
/
CREATE TABLE PADRAOQUALIDADE (
	NRPADRAOQUALIDADE		NUMBER 														NOT NULL,
    CDPADRAOQUALIDADE 		VARCHAR2(5) 												NOT NULL,
    NMPADRAOQUALIDADE 		VARCHAR2(50)												NOT NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_PADRAOQUALIDADE CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_PADRAOQUALIDADE PRIMARY KEY (NRPADRAOQUALIDADE),
	CONSTRAINT UN_PADRAOQUALIDADE UNIQUE (CDPADRAOQUALIDADE)
)
/
CREATE TABLE TIPOCONTRATO (
	NRTIPOCONTRATO			NUMBER 														NOT NULL,
    CDTIPOCONTRATO 			VARCHAR2(5) 												NOT NULL,
    NMTIPOCONTRATO 			VARCHAR2(50)												NOT NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_TIPOCONTRATO CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_TIPOCONTRATO PRIMARY KEY (NRTIPOCONTRATO),
	CONSTRAINT UN_TIPOCONTRATO UNIQUE (CDTIPOCONTRATO)
)
/
CREATE TABLE TIPOPUBLICO (
	NRTIPOPUBLICO			NUMBER 														NOT NULL,
    CDTIPOPUBLICO 			VARCHAR2(5) 												NOT NULL,
    NMTIPOPUBLICO 			VARCHAR2(50)												NOT NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_TIPOPUBLICO CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_TIPOPUBLICO PRIMARY KEY (NRTIPOPUBLICO),
	CONSTRAINT UN_TIPOPUBLICO UNIQUE (CDTIPOPUBLICO)
)
/
CREATE TABLE PARAMTCO (
	NRPARAMTCO				NUMBER 														NOT NULL,
    CDTIPOCUSTO 			VARCHAR2(2) 												NULL,
    DSSERVIDORSMTP 			VARCHAR2(250)												NULL,
	DSUSUARIOSMTP 			VARCHAR2(250)												NULL,
	DSSENHASMTP 			VARCHAR2(250)												NULL,
	IDREVRECPADQREGIAO		VARCHAR2(1)		DEFAULT 'N'									NOT NULL
		CONSTRAINT CKC_IDREVRECPADQREGIAO CHECK (IDREVRECPADQREGIAO IN ('S', 'N')),
	NRPERFILACESSO 			NUMBER														NULL,
	DSEMAILNOTIFICACAO		VARCHAR2(250)												NULL,
	CDFILIAL 				VARCHAR2(4)													NULL,
	VRLIMITECUSTO			FLOAT														NULL,
	CDTIPOPRATLIMPEZA		VARCHAR2(2)													NULL,
	NRORG 					NUMBER			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NOT NULL,
	IDATIVO 				VARCHAR2(1) 	DEFAULT 'S' 								NOT NULL
		CONSTRAINT CKC_IDATIVO_PARAMTCO CHECK (IDATIVO IN ('S', 'N')),
	DTINCLUSAO 				DATE 														NULL,
	DTULTATU 				DATE 														NULL,
	NRORGINCLUSAO 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 	NULL,
	CDOPERINCLUSAO 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	NRORGULTATU 			NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')	NULL,
	CDOPERULTATU 			VARCHAR2(12) 	DEFAULT '1' 								NULL,
	CONSTRAINT PK_PARAMTCO PRIMARY KEY (NRPARAMTCO)
)
/
ALTER TABLE PARAMTCO ADD CONSTRAINT FKPLA01007TIPOCUSTO FOREIGN KEY (CDTIPOCUSTO) REFERENCES TIPOCUSTO (CDTIPOCUSTO)
/
CREATE INDEX FKPLA01007TIPOCUSTO ON PARAMTCO (CDTIPOCUSTO)